Update content access for members

Change content access data such as granted member and permission detail for specific content.

SCOPES

Requires: seismic.library.manage See Permissions for additional details.

Content Access Permissions

New Content Access Permissions are at the Teamsite root, folder and file level and allow users apply the following permissions:
Can view: View, comment, approve. Permission id 403.
Can edit: Edit and add folders. Edit, add, publish, and move files. Permission id 404.
Can manage: Edit, add, publish, move, delete and manage access. Permission id 405.

Cases that content access NOT allowed to be changed

  1. Change access for full control member on any content
  2. Logon user do not have can manage permission on the content
  3. Logon user do not have can manage permission on teamsite root when change member access for teamsite root
  4. If 'library-content-access-updates' toggle is on, change access for teamsite owner on any content is not allowed
Path Params
string
required

Id of teamsite , a guid or "1" (default teamsite)

string
required

Id of content , a guid or "root" (teamsite home)

Body Params

Request body samples

{
  "AddContentAccessPermissions": 
  [
    {
      "MemberId": "125434a6-9733-bceb-f43b-803e003f0d6f",
      "IsGroup": false,
      "PermissionIds": [
        "403"
      ]
    }
  ],
  "ModifyContentAccessPermissions": 
  [
    {
      "MemberId": "0e29147e-7790-2f62-a484-fe56d6bdbd04",
      "IsGroup": false,
      "PermissionIds": [
        "403"
      ]
    }
  ],
  "ContentAccessNotify": {
    "NeedNotify": true,
    "Message": "You are granted with viewer permission",
    "PermissionIds": [
      "403"
    ]
  }
}
addContentAccessPermissions
array of objects

Members with permission details to add to the content

addContentAccessPermissions
modifyContentAccessPermissions
array of objects

Members with permission details to change to the content

modifyContentAccessPermissions
contentAccessNotify
object

Notify configuration for the change action. If need to notify members, please make sure the permission ids in each to-add member, to-modify member and content access notify are the same, for notification email will be sent out to each member with the permission ids in content access notify

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json